org.eclipse.emf.cdo.common.revision

## Interface CDORevisionsLoadedEvent

- All Superinterfaces:
    IEvent

      public interface CDORevisionsLoadedEvent
      extends IEvent

  An `event` fired from a `revision manager` when a new `revision` has been loaded.
  Since:
    4.4
  Author:
    Esteban Dugueperoux
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<? extends CDORevision>` | `getAdditionalLoadedRevisions()`
    `int` | `getPrefetchDepth()`
    `List<? extends CDORevision>` | `getPrimaryLoadedRevisions()`
    `CDORevisionManager` | `getSource()`

- - ### Method Detail

    - #### getSource

          CDORevisionManager getSource()

      Specified by:
        `getSource` in interface `IEvent`

    - #### getPrimaryLoadedRevisions

          List<? extends CDORevision> getPrimaryLoadedRevisions()

    - #### getAdditionalLoadedRevisions

          List<? extends CDORevision> getAdditionalLoadedRevisions()

    - #### getPrefetchDepth

          int getPrefetchDepth()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html